#!/bin/bash -e
yum -y group install "Development Tools"
gpg --keyserver keys.gnupg.net --recv-key 0xD744D55EACDA69FF

gpg --export -a "FusionDirectory Project Signing Key <contact@fusiondirectory.org>" > FD-archive-key
cp FD-archive-key /etc/pki/rpm-gpg/RPM-GPG-KEY-FUSIONDIRECTORY

rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-FUSIONDIRECTORY

cd /usr/local/src
wget http://ftp.gnu.org/gnu/bash/bash-4.4.12.tar.gz
wget http://ftp.gnu.org/gnu/bash/bash-4.4.12.tar.gz.sig
gpg2 --recv-keys 64EA74AB
gpg2 --verify bash-4.4.12.tar.gz.sig bash-4.4.12.tar.gz
tar xzf bash-4.4.12.tar.gz
cd bash-4.4.12
./configure --prefix=/usr/local/$( basename $( pwd ) )
make
make install
ln -sf /usr/local/$( basename $( pwd ) )/bin/bash /bin/bash
ln -sf /usr/local/$( basename $( pwd ) )/bin/bash /usr/bin/bash
